# applicationConfiguration Struct Reference

`#include <application_configuration.h>`

## Data Fields
unsigned char | endPoint
unsigned int | profileId
unsigned int | deviceId
unsigned char | deviceVersion
unsigned char | latencyRequested
unsigned char | numberOfBindingInputClusters
unsigned int | bindingInputClusters [MAX_BINDING_CLUSTERS]
unsigned char | numberOfBindingOutputClusters
unsigned int | bindingOutputClusters [MAX_BINDING_CLUSTERS]

## Detailed Description

This is a set of application configuration parameters. These parameters affect the way our particular Zigbee Application will behave.

## Field Documentation

unsigned int bindingInputClusters[MAX_BINDING_CLUSTERS]

List of Input Clusters for Binding. If not using binding then this does not apply. To allow another device to bind to this device, must use ZB_ALLOW_BIND on this device and must use ZB_BIND_DEVICE on the other device.

unsigned int bindingOutputClusters[MAX_BINDING_CLUSTERS]

List of Output Clusters for Binding. If not using binding then this does not apply. To bind to another device, that device must use ZB_ALLOW_BIND and this device must use ZB_BIND_DEVICE to create a binding.

unsigned int deviceId

A user-defined device ID field. Not used in Simple API, but when using AFZDO API a remote device can query for this using the ZDO_SIMPLE_DESC_REQ command.

unsigned char deviceVersion

A user-defined device ID field. Not used in Simple API, but when using AFZDO API a remote device can query for this using the ZDO_SIMPLE_DESC_REQ command.

unsigned char endPoint

The Zigbee Endpoint. Simple API only supports one endpoint. Must use the same value of endpoint for all devices in the network.

unsigned char latencyRequested

A very simple Quality of Service (QoS) setting. Must be LATENCY_NORMAL, LATENCY_FAST_BEACONS, or LATENCY_SLOW_BEACONS. Not used in Simple API.

unsigned char numberOfBindingInputClusters

Number of Input Clusters for Binding. If not using binding then set to zero.

unsigned char numberOfBindingOutputClusters

Number of Output Clusters for Binding. If not using binding then set to zero.

unsigned int profileId

The Application Profile ID as assigned by the Zigbee Association. Must use the same application profile for all devices in the network.

The documentation for this struct was generated from the following file:

- application_configuration.h

All Data Structures Files Functions Variables Defines